curl --request PATCH \
--url https://api.openpmm.com/v1/workspaces/{workspace_id}/webhook-endpoints/{endpoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '
{
"enabled": false
}
'import requests
url = "https://api.openpmm.com/v1/workspaces/{workspace_id}/webhook-endpoints/{endpoint_id}"
payload = { "enabled": False }
headers = {
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({enabled: false})
};
fetch('https://api.openpmm.com/v1/workspaces/{workspace_id}/webhook-endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "wh_01JABCDEF",
"object": "webhook_endpoint",
"name": "<string>",
"url": "<string>",
"enabled": true,
"event_types": [
"post.published"
],
"destination_filter_mode": "all",
"destination_ids": [
"dest_01JABCDEF"
],
"content_mode": "metadata",
"secret_last_four": "<string>",
"previous_secret_expires_at": "2026-08-09T12:00:00.000Z",
"config_version": 2,
"created_at": "2026-08-09T12:00:00.000Z",
"updated_at": "2026-08-09T12:00:00.000Z"
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_payload_too_large",
"title": "Payload too large",
"status": 413,
"detail": "The request body exceeds the 1 MiB limit.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_payload_too_large",
"request_id": "req_01JABCDEF",
"retryable": false,
"errors": []
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}Update Webhook Endpoint
Update a webhook endpoint. Full-content delivery also requires posts:read. Send the current ETag in If-Match.
Authorizations
Send an account API key in the Authorization: Bearer <key> header.
Headers
Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.
128The current ETag for the resource. This value prevents an update to an old version.
Path Parameters
Unique workspace ID.
"ws_01JABCDEF"
Unique webhook endpoint ID.
"wh_01JABCDEF"
Body
Webhook endpoint fields to update.
1 - 120Public HTTPS URL. Use port 443 and a DNS hostname. Do not include credentials. The hostname must not resolve to a private or reserved address.
2048^https://1post.published, post.failed, post.awaiting-provider, post.needs-attention all, selected 100Unique destination ID.
metadata, full Response
The updated endpoint.
Unique webhook endpoint ID.
"wh_01JABCDEF"
"webhook_endpoint"Full webhook delivery URL.
post.published, post.failed, post.awaiting-provider, post.needs-attention all, selected Unique destination ID.
metadata, full 4"2026-08-09T12:00:00.000Z"
x >= 1"2026-08-09T12:00:00.000Z"
"2026-08-09T12:00:00.000Z"
